# Class DataGridHeaderCellDefDirective

- Defined in data-grid-header-cell-def.directive.ts:15

#####
Index

### Constructors

constructor

### Properties

template

### Methods

ngTemplateContextGuard

##
Constructors

### constructor

- new DataGridHeaderCellDefDirective(
  template: TemplateRef<DataGridHeaderCellDefDirectiveContext>,
  ): DataGridHeaderCellDefDirective

  #### Parameters

  - template: TemplateRef<DataGridHeaderCellDefDirectiveContext>

  #### Returns DataGridHeaderCellDefDirective

  - Defined in data-grid-header-cell-def.directive.ts:23

##
Properties

### template

template: TemplateRef<DataGridHeaderCellDefDirectiveContext>

- Defined in data-grid-header-cell-def.directive.ts:25

##
Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(
  dir: DataGridHeaderCellDefDirective,
  ctx: any,
  ): ctx is DataGridHeaderCellDefDirectiveContext

  #### Parameters

  - dir: DataGridHeaderCellDefDirective
  - ctx: any

  #### Returns ctx is DataGridHeaderCellDefDirectiveContext

  - Defined in data-grid-header-cell-def.directive.ts:16